* [gentoo-commits] proj/kde:master commit in: kde-base/ksnapshot/
@ 2011-03-27 0:31 Jonathan Callen
0 siblings, 0 replies; 9+ messages in thread
From: Jonathan Callen @ 2011-03-27 0:31 UTC (permalink / raw
To: gentoo-commits
commit: 4c67470fbf92f82247e70d398c5a9944372ab3c1
Author: abcd <abcd <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 26 17:43:12 2011 +0000
Commit: Jonathan Callen <abcd <AT> gentoo <DOT> org>
CommitDate: Sun Mar 27 00:30:54 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=4c67470f
[kde-base/ksnapshot] Make handbook optional again
(Portage version: 2.2.0_alpha28_p8/git/Linux i686, RepoMan options: --force, signed Manifest commit with key 229E5838)
---
kde-base/ksnapshot/ksnapshot-9999.ebuild | 4 +---
1 files changed, 1 insertions(+), 3 deletions(-)
diff --git a/kde-base/ksnapshot/ksnapshot-9999.ebuild b/kde-base/ksnapshot/ksnapshot-9999.ebuild
index a20319c..8207079 100644
--- a/kde-base/ksnapshot/ksnapshot-9999.ebuild
+++ b/kde-base/ksnapshot/ksnapshot-9999.ebuild
@@ -4,13 +4,11 @@
EAPI=3
+KDE_HANDBOOK="optional"
if [[ ${PV} == *9999 ]]; then
-# Not sure how to handle this
-KDE_HANDBOOK="required"
KDE_SCM="git"
kde_eclass="kde4-base"
else
-KDE_HANDBOOK="optional"
KMNAME="kdegraphics"
kde_eclass="kde4-meta"
fi
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] proj/kde:master commit in: kde-base/ksnapshot/
@ 2011-05-12 20:32 Marc Schiffbauer
0 siblings, 0 replies; 9+ messages in thread
From: Marc Schiffbauer @ 2011-05-12 20:32 UTC (permalink / raw
To: gentoo-commits
commit: 628ff47c35584f7a8bcd9619b872900fee1629a0
Author: Marc Schiffbauer <marc <AT> schiffbauer <DOT> net>
AuthorDate: Thu May 12 20:13:28 2011 +0000
Commit: Marc Schiffbauer <marc <AT> schiffbauer <DOT> net>
CommitDate: Thu May 12 20:13:28 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=628ff47c
[kde-base/ksnapshot] fix 4.6.9999 ebuild
---
kde-base/ksnapshot/ksnapshot-4.6.9999.ebuild | 12 +++++++++---
1 files changed, 9 insertions(+), 3 deletions(-)
diff --git a/kde-base/ksnapshot/ksnapshot-4.6.9999.ebuild b/kde-base/ksnapshot/ksnapshot-4.6.9999.ebuild
index 03561a1..db0ff8b 100644
--- a/kde-base/ksnapshot/ksnapshot-4.6.9999.ebuild
+++ b/kde-base/ksnapshot/ksnapshot-4.6.9999.ebuild
@@ -5,8 +5,14 @@
EAPI=4
KDE_HANDBOOK="optional"
-KMNAME="kdegraphics"
-inherit kde4-meta
+KDE_SCM="git"
+if [[ ${PV} == *9999 ]]; then
+ kde_eclass="kde4-base"
+else
+ KMNAME="kdegraphics"
+ kde_eclass="kde4-meta"
+fi
+inherit ${kde_eclass}
DESCRIPTION="KDE Screenshot Utility"
KEYWORDS=""
@@ -24,5 +30,5 @@ src_configure() {
$(cmake-utils_use_with kipi)
)
- kde4-meta_src_configure
+ ${kde_eclass}_src_configure
}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] proj/kde:master commit in: kde-base/ksnapshot/
@ 2011-05-26 5:14 Jorge Manuel B. S. Vicetto
0 siblings, 0 replies; 9+ messages in thread
From: Jorge Manuel B. S. Vicetto @ 2011-05-26 5:14 UTC (permalink / raw
To: gentoo-commits
commit: 4a209bb06edbc424be81e0484df4d8f3f8742a3d
Author: Jorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto <AT> gentoo <DOT> org>
AuthorDate: Thu May 26 04:32:51 2011 +0000
Commit: Jorge Manuel B. S. Vicetto <jmbsvicetto <AT> gentoo <DOT> org>
CommitDate: Thu May 26 04:32:51 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=4a209bb0
[kde-base/ksnapshot] 4.6.80 version bump.
(Portage version: 2.2.0_alpha35/git/Linux x86_64, signed Manifest commit with key BB0E6E98)
---
kde-base/ksnapshot/ksnapshot-4.6.80.ebuild | 28 ++++++++++++++++++++++++++++
1 files changed, 28 insertions(+), 0 deletions(-)
diff --git a/kde-base/ksnapshot/ksnapshot-4.6.80.ebuild b/kde-base/ksnapshot/ksnapshot-4.6.80.ebuild
new file mode 100644
index 0000000..a277453
--- /dev/null
+++ b/kde-base/ksnapshot/ksnapshot-4.6.80.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+
+KDE_HANDBOOK="optional"
+KDE_SCM="git"
+inherit "kde4-base"
+
+DESCRIPTION="KDE Screenshot Utility"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="debug kipi"
+
+DEPEND="
+ kipi? ( $(add_kdebase_dep libkipi) )
+"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}/${PN}-4.7-kipi.patch" )
+
+src_configure() {
+ mycmakeargs=(
+ $(cmake-utils_use_with kipi)
+ )
+
+ kde4-base_src_configure
+}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] proj/kde:master commit in: kde-base/ksnapshot/
@ 2011-06-08 21:31 Andreas Hüttel
0 siblings, 0 replies; 9+ messages in thread
From: Andreas Hüttel @ 2011-06-08 21:31 UTC (permalink / raw
To: gentoo-commits
commit: 662822a91ba6b7a372f987dbdac18787dc27edf9
Author: Andreas K. Huettel (dilfridge) <mail <AT> akhuettel <DOT> de>
AuthorDate: Wed Jun 8 21:31:36 2011 +0000
Commit: Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Wed Jun 8 21:31:36 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=662822a9
[kde-base/ksnapshot] remove duplicate file
(Portage version: 2.1.10/git/Linux x86_64, signed Manifest commit with key B6C5F7DE)
---
kde-base/ksnapshot/ksnapshot-4.6.4.ebuild | 7 +++++++
kde-base/ksnapshot/ksnapshot-4.6.49.9999.ebuild | 7 +++++++
2 files changed, 14 insertions(+), 0 deletions(-)
diff --git a/kde-base/ksnapshot/ksnapshot-4.6.4.ebuild b/kde-base/ksnapshot/ksnapshot-4.6.4.ebuild
index 39a4c14..bd02677 100644
--- a/kde-base/ksnapshot/ksnapshot-4.6.4.ebuild
+++ b/kde-base/ksnapshot/ksnapshot-4.6.4.ebuild
@@ -32,3 +32,10 @@ src_configure() {
${kde_eclass}_src_configure
}
+
+src_install() {
+ kde4-meta_src_install
+
+ # why, oh why?!
+ rm "${D}/usr/share/apps/cmake/modules/FindKSane.cmake" || die
+}
diff --git a/kde-base/ksnapshot/ksnapshot-4.6.49.9999.ebuild b/kde-base/ksnapshot/ksnapshot-4.6.49.9999.ebuild
index db0ff8b..66bfdd6 100644
--- a/kde-base/ksnapshot/ksnapshot-4.6.49.9999.ebuild
+++ b/kde-base/ksnapshot/ksnapshot-4.6.49.9999.ebuild
@@ -32,3 +32,10 @@ src_configure() {
${kde_eclass}_src_configure
}
+
+src_install() {
+ kde4-meta_src_install
+
+ # why, oh why?!
+ rm "${D}/usr/share/apps/cmake/modules/FindKSane.cmake" || die
+}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] proj/kde:master commit in: kde-base/ksnapshot/
@ 2011-06-08 22:49 Andreas Hüttel
0 siblings, 0 replies; 9+ messages in thread
From: Andreas Hüttel @ 2011-06-08 22:49 UTC (permalink / raw
To: gentoo-commits
commit: 2f049686a278c2565a449c97c1aae8fe01409948
Author: Andreas K. Huettel (dilfridge) <mail <AT> akhuettel <DOT> de>
AuthorDate: Wed Jun 8 22:48:14 2011 +0000
Commit: Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Wed Jun 8 22:49:16 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=2f049686
Replace D with ED
(Portage version: 2.1.10/git/Linux x86_64, signed Manifest commit with key B6C5F7DE)
---
kde-base/ksnapshot/ksnapshot-4.6.4.ebuild | 2 +-
kde-base/ksnapshot/ksnapshot-4.6.49.9999.ebuild | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/kde-base/ksnapshot/ksnapshot-4.6.4.ebuild b/kde-base/ksnapshot/ksnapshot-4.6.4.ebuild
index bd02677..a385122 100644
--- a/kde-base/ksnapshot/ksnapshot-4.6.4.ebuild
+++ b/kde-base/ksnapshot/ksnapshot-4.6.4.ebuild
@@ -37,5 +37,5 @@ src_install() {
kde4-meta_src_install
# why, oh why?!
- rm "${D}/usr/share/apps/cmake/modules/FindKSane.cmake" || die
+ rm "${ED}/usr/share/apps/cmake/modules/FindKSane.cmake" || die
}
diff --git a/kde-base/ksnapshot/ksnapshot-4.6.49.9999.ebuild b/kde-base/ksnapshot/ksnapshot-4.6.49.9999.ebuild
index 66bfdd6..e129275 100644
--- a/kde-base/ksnapshot/ksnapshot-4.6.49.9999.ebuild
+++ b/kde-base/ksnapshot/ksnapshot-4.6.49.9999.ebuild
@@ -37,5 +37,5 @@ src_install() {
kde4-meta_src_install
# why, oh why?!
- rm "${D}/usr/share/apps/cmake/modules/FindKSane.cmake" || die
+ rm "${ED}/usr/share/apps/cmake/modules/FindKSane.cmake" || die
}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] proj/kde:master commit in: kde-base/ksnapshot/
@ 2013-03-20 17:51 Michael Palimaka
0 siblings, 0 replies; 9+ messages in thread
From: Michael Palimaka @ 2013-03-20 17:51 UTC (permalink / raw
To: gentoo-commits
commit: 5601a0dc38b6ffc22e4e3a237135b75452e0099f
Author: Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 20 17:50:02 2013 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Wed Mar 20 17:50:02 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=5601a0dc
[kde-base/ksnapshot] Update dependencies.
Package-Manager: portage-2.1.11.57
---
kde-base/ksnapshot/ksnapshot-4.10.49.9999.ebuild | 3 +++
kde-base/ksnapshot/ksnapshot-9999.ebuild | 3 +++
2 files changed, 6 insertions(+), 0 deletions(-)
diff --git a/kde-base/ksnapshot/ksnapshot-4.10.49.9999.ebuild b/kde-base/ksnapshot/ksnapshot-4.10.49.9999.ebuild
index 2d78125..6c09a86 100644
--- a/kde-base/ksnapshot/ksnapshot-4.10.49.9999.ebuild
+++ b/kde-base/ksnapshot/ksnapshot-4.10.49.9999.ebuild
@@ -12,6 +12,9 @@ KEYWORDS=""
IUSE="debug kipi"
DEPEND="
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXfixes
kipi? ( $(add_kdebase_dep libkipi) )
"
RDEPEND="${DEPEND}"
diff --git a/kde-base/ksnapshot/ksnapshot-9999.ebuild b/kde-base/ksnapshot/ksnapshot-9999.ebuild
index 2d78125..6c09a86 100644
--- a/kde-base/ksnapshot/ksnapshot-9999.ebuild
+++ b/kde-base/ksnapshot/ksnapshot-9999.ebuild
@@ -12,6 +12,9 @@ KEYWORDS=""
IUSE="debug kipi"
DEPEND="
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXfixes
kipi? ( $(add_kdebase_dep libkipi) )
"
RDEPEND="${DEPEND}"
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] proj/kde:master commit in: kde-base/ksnapshot/
@ 2013-03-20 18:17 Michael Palimaka
0 siblings, 0 replies; 9+ messages in thread
From: Michael Palimaka @ 2013-03-20 18:17 UTC (permalink / raw
To: gentoo-commits
commit: da36ab9b2449aa2a0f7d39a732c55029d4ebf58f
Author: Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 20 18:17:02 2013 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Wed Mar 20 18:17:02 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=da36ab9b
[kde-base/ksnapshot] Restrict certain X11 dependencies to USE="-aqua".
Package-Manager: portage-2.1.11.57
---
kde-base/ksnapshot/ksnapshot-4.10.49.9999.ebuild | 6 ++++--
kde-base/ksnapshot/ksnapshot-9999.ebuild | 6 ++++--
2 files changed, 8 insertions(+), 4 deletions(-)
diff --git a/kde-base/ksnapshot/ksnapshot-4.10.49.9999.ebuild b/kde-base/ksnapshot/ksnapshot-4.10.49.9999.ebuild
index 6c09a86..c820d8a 100644
--- a/kde-base/ksnapshot/ksnapshot-4.10.49.9999.ebuild
+++ b/kde-base/ksnapshot/ksnapshot-4.10.49.9999.ebuild
@@ -12,9 +12,11 @@ KEYWORDS=""
IUSE="debug kipi"
DEPEND="
- x11-libs/libX11
- x11-libs/libXext
x11-libs/libXfixes
+ !aqua? (
+ x11-libs/libX11
+ x11-libs/libXext
+ )
kipi? ( $(add_kdebase_dep libkipi) )
"
RDEPEND="${DEPEND}"
diff --git a/kde-base/ksnapshot/ksnapshot-9999.ebuild b/kde-base/ksnapshot/ksnapshot-9999.ebuild
index 6c09a86..c820d8a 100644
--- a/kde-base/ksnapshot/ksnapshot-9999.ebuild
+++ b/kde-base/ksnapshot/ksnapshot-9999.ebuild
@@ -12,9 +12,11 @@ KEYWORDS=""
IUSE="debug kipi"
DEPEND="
- x11-libs/libX11
- x11-libs/libXext
x11-libs/libXfixes
+ !aqua? (
+ x11-libs/libX11
+ x11-libs/libXext
+ )
kipi? ( $(add_kdebase_dep libkipi) )
"
RDEPEND="${DEPEND}"
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] proj/kde:master commit in: kde-base/ksnapshot/
@ 2013-08-29 15:39 Michael Palimaka
0 siblings, 0 replies; 9+ messages in thread
From: Michael Palimaka @ 2013-08-29 15:39 UTC (permalink / raw
To: gentoo-commits
commit: 70f6235ec1cc7ae60306461a7948c7d8d111c129
Author: Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 29 15:36:53 2013 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Thu Aug 29 15:36:53 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=70f6235e
[kde-base/ksnapshot] Update HOMEPAGE wrt bug #479186.
Package-Manager: portage-2.2.1
---
kde-base/ksnapshot/ksnapshot-4.11.49.9999.ebuild | 1 +
kde-base/ksnapshot/ksnapshot-9999.ebuild | 1 +
2 files changed, 2 insertions(+)
diff --git a/kde-base/ksnapshot/ksnapshot-4.11.49.9999.ebuild b/kde-base/ksnapshot/ksnapshot-4.11.49.9999.ebuild
index c820d8a..97a425b 100644
--- a/kde-base/ksnapshot/ksnapshot-4.11.49.9999.ebuild
+++ b/kde-base/ksnapshot/ksnapshot-4.11.49.9999.ebuild
@@ -8,6 +8,7 @@ KDE_HANDBOOK="optional"
inherit kde4-base
DESCRIPTION="KDE Screenshot Utility"
+HOMEPAGE="http://www.kde.org/applications/graphics/ksnapshot/"
KEYWORDS=""
IUSE="debug kipi"
diff --git a/kde-base/ksnapshot/ksnapshot-9999.ebuild b/kde-base/ksnapshot/ksnapshot-9999.ebuild
index c820d8a..97a425b 100644
--- a/kde-base/ksnapshot/ksnapshot-9999.ebuild
+++ b/kde-base/ksnapshot/ksnapshot-9999.ebuild
@@ -8,6 +8,7 @@ KDE_HANDBOOK="optional"
inherit kde4-base
DESCRIPTION="KDE Screenshot Utility"
+HOMEPAGE="http://www.kde.org/applications/graphics/ksnapshot/"
KEYWORDS=""
IUSE="debug kipi"
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] proj/kde:master commit in: kde-base/ksnapshot/
@ 2014-09-14 19:14 Johannes Huber
0 siblings, 0 replies; 9+ messages in thread
From: Johannes Huber @ 2014-09-14 19:14 UTC (permalink / raw
To: gentoo-commits
commit: ba4e15128e515605eefe57fcf2606441cc7b1a05
Author: Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 14 19:13:06 2014 +0000
Commit: Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Sun Sep 14 19:13:06 2014 +0000
URL: http://sources.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=ba4e1512
[kde-base/ksnapshot] Version bump based on KF5
Package-Manager: portage-2.2.12
---
kde-base/ksnapshot/ksnapshot-9999.ebuild | 39 ++++++++++++++++++++++++++++++++
1 file changed, 39 insertions(+)
diff --git a/kde-base/ksnapshot/ksnapshot-9999.ebuild b/kde-base/ksnapshot/ksnapshot-9999.ebuild
new file mode 100644
index 0000000..ebc4036
--- /dev/null
+++ b/kde-base/ksnapshot/ksnapshot-9999.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+KDE_HANDBOOK=true
+EGIT_BRANCH="frameworks"
+inherit kde5
+
+DESCRIPTION="KDE screenshot utility"
+HOMEPAGE="http://www.kde.org/applications/graphics/ksnapshot/"
+KEYWORDS=""
+IUSE=""
+
+# TODO:
+# X use flag: -X doesn't build
+# kipi use flag, when upstream provides it
+DEPEND="
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep kjobwidgets)
+ $(add_frameworks_dep kservice)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kwindowsystem)
+ $(add_frameworks_dep kxmlgui)
+ dev-qt/qtdbus:5
+ dev-qt/qtgui:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtx11extras:5
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXfixes
+"
+RDEPEND="${DEPEND}
+ !kde-base/ksnapshot:4
+"
^ permalink raw reply related [flat|nested] 9+ messages in thread
end of thread, other threads:[~2014-09-14 19:15 UTC | newest]
Thread overview: 9+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2011-03-27 0:31 [gentoo-commits] proj/kde:master commit in: kde-base/ksnapshot/ Jonathan Callen
-- strict thread matches above, loose matches on Subject: below --
2011-05-12 20:32 Marc Schiffbauer
2011-05-26 5:14 Jorge Manuel B. S. Vicetto
2011-06-08 21:31 Andreas Hüttel
2011-06-08 22:49 Andreas Hüttel
2013-03-20 17:51 Michael Palimaka
2013-03-20 18:17 Michael Palimaka
2013-08-29 15:39 Michael Palimaka
2014-09-14 19:14 Johannes Huber
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox